$(document).bind("mobileinit", function(){
                 $.mobile.defaultPageTransition = 'fade';
                 $.mobile.listview.prototype.options.splitIcon = "plus";
                 $.event.special.swipe.horizontalDistanceThreshold = 150;
                 });


$(document).bind('pageinit', function(event,ui){
                 
                 // CASE ON PAGES
                 switch (event.target.id){
                 case "intro":
                 
                 initIntro();
                 break;
                 
                 case "main":
                 
                 WidthChange(mq);
                 
                 break;
                 
                 case "settings":
                 initSettings();
                 
                 WidthChange(mq);
                 
                 break;
                 
                 case "login":
                 initLogin();
                 
                 WidthChange(mq);
                 
                 break;
                 
                 case "manual_subscribe":
                 initManualSubscribe();
                 
                 WidthChange(mq);
                 
                 break;
                 
                 case "movie_info":
                 case "tvshow_info":
                 
                 initMovieInfo();
                 break;
                 
                 case "all_movies":
                 case "last_movies":
                 case "last_unp_movies":
                 case "early_unp_movies":
                 
                 case "tv_show_series":
                 case "tv_show_seasons":
                 
                 WidthChange(mq);
                 
                 
                 
                 break;
                 
                 default:
                 break;
                 }
                 });
//------------------------------//

// media query event handler
if (matchMedia) {
	var mq = window.matchMedia("(min-width: 45em)");
	mq.addListener(WidthChange);
}
// media query change
function WidthChange(mq) {
	if (mq.matches) {
        
        $(".movie_list_thumb").attr('src', function(index,attr){
                                  return $(this).attr('da-src')+'?size=w320h480';
                                  });

        $(".show_list_thumb").attr('src', function(index,attr){
                                    return $(this).attr('da-src')+'?size=w320h320&fill=YES';
                                    });
        
        $(".hv_list_thumb").attr('src', function(index,attr){
                                    return $(this).attr('da-src')+'&size=w320h180';
                                    });

    }
	else {
		// window width is less than 
        $(".movie_list_thumb").attr('src', function(index,attr){
                                  return $(this).attr('da-src')+'?size=w160h160&fill=YES';
                                  });

        $(".show_list_thumb").attr('src', function(index,attr){
                                    return $(this).attr('da-src')+'?size=w160h160&fill=YES';
                                    });

        $(".hv_list_thumb").attr('src', function(index,attr){
                                 return $(this).attr('da-src')+'&size=w160h160&fill=YES';
                                 });
	}
    
}

//function initScrollToTop(e){
//    if (($(document).scrollTop()))
//        console.warn("Blya");
//    else
//        console.warn("OKKK");
//}

//---------------- INIT FUNCS -------------------------------//
function initIntro(){
    
    $("#intro").on("tap",introToMain);
    introToMainTimer = setTimeout(introToMain, 1000);

}

function initLogin(){
    $("#login").on("pageshow", function( event, ui ) {
                   $("#loginUsername").focus().select();
                           });
}

function initManualSubscribe(){
    $("#manual_subscribe").on("pageshow", function( event, ui ) {
                   $("#subscribeUrl").focus().select();
                   });
}

function initMovieInfo(){
    if ( $(document).width() >= 720 )
        $("#movie_info_descr").trigger("expand");
    

}


function initSettings(){
    var vl = getCookie('hdtype');
    if (vl != undefined){
        $("#podcastHdtype"+vl).prop("checked", true).checkboxradio("refresh");
        setCookie("hdtype", vl ,{'expires':31536000, 'path':"/"});
    }

    vl = getCookie('pscheme');
    if (vl != undefined){
        $("#pscheme_"+vl).prop("checked", true).checkboxradio("refresh");
        setCookie("pscheme", vl ,{'expires':31536000, 'path':"/"});
    }

    
    vl = getCookie('strict');
    if (vl != undefined){
        $("#strictFlip").val(vl).slider("refresh");
        setCookie("strict", vl ,{'expires':31536000, 'path':"/"});
    }
    
    $( "#strictFlip" ).on( "slidestop", function( event, ui ) {
                          setCookie("strict", $( "#strictFlip" ).val() ,{'expires':31536000, 'path':"/"});
                          } );
    $( "input.hdtypeSet" ).on("click", function(event){
                              setCookie("hdtype", event.target.value ,{'expires':31536000, 'path':"/"});
                              
                              });
    $( "input.pcastSchemeSet" ).on("click", function(event){
                              setCookie("pscheme", event.target.value ,{'expires':31536000, 'path':"/"});
                              
                              });
}

//----------------- INTRO FUNCS --------------------------//
introToMainTimer = 0;
function introToMain(event){
    debugger;
    if(introToMainTimer)
        clearTimeout(introToMainTimer);
    
    $.getJSON('/check_pass', function(data){
              
              if(data["isVideoScaned"]){
              
              $.mobile.loading( "hide");
              
              if(data["isAuth"])
                // to main page
//                $.mobile.changePage("/query/main");
                document.location.replace('/query/main');
              else
                // to login page
                $.mobile.changePage( "/login.dhtml", { role: "dialog" } );
              
              }
              else{
              
              $.mobile.loading( "show", {
                               text: "%%video-scaning-info%%",
                               textVisible: true,
                               theme: "a",
                               html: ""
                               });
              introToMainTimer = setTimeout(introToMain, 30000);
              }
              
          } )
}

//----------------- SUBSCRIPTION FUNCS -------------------//
subscribeUrl = '';
function subscribePopupRaise(callerId, popupId, url){
    subscribeUrl = url;
    $('#'+popupId).popup("open",{'positionTo': '#'+callerId});

}

function subscribeClick(id,url){
    $('#'+id).popup("close");
    var vl = getCookie('pscheme');
    if (vl == 'http')
        setTimeout("$.mobile.changePage( '"+url+"', {role: 'dialog'})", 300);
    else
        setTimeout("document.location.replace('"+url+"')",300);
}



//-------------- COOKIE ---------------------------------//

// возвращает cookie если есть или undefined
function getCookie(name) {
    var matches = document.cookie.match(new RegExp("(?:^|; )" + name.replace(/([\.$?*|{}\(\)\[\]\\\/\+^])/g, '\\$1') + "=([^;]*)"));
    return matches ? decodeURIComponent(matches[1]) : undefined;
}
// уcтанавливает cookie

//Аргументы:
//
//name
//название cookie
//
//value
//значение cookie (строка)
//
//props
//Объект с дополнительными свойствами для установки cookie:
//
//expires
//Время истечения cookie. Интерпретируется по-разному, в зависимости от типа:
//Если число - количество секунд до истечения.
//Если объект типа Date - точная дата истечения.
//Если expires в прошлом, то cookie будет удалено.
//Если expires отсутствует или равно 0, то cookie будет установлено как сессионное и исчезнет при закрытии браузера.
//
//path
//Путь для cookie.
//
//domain
//Домен для cookie.
//
//secure
//Пересылать cookie только по защищенному соединению.

function setCookie(name, value, props) {
    props = props || {};
    var exp = props.expires;
    if (typeof exp == "number" && exp) {
        var d = new Date();
        d.setTime(d.getTime() + exp*1000);
        exp = props.expires = d;
    }
    if(exp && exp.toUTCString) { props.expires = exp.toUTCString() }
    
    value = encodeURIComponent(value);
    var updatedCookie = name + "=" + value;
    for(var propName in props){
        updatedCookie += "; " + propName;
        var propValue = props[propName];
        if(propValue !== true){ updatedCookie += "=" + propValue }
    }
    document.cookie = updatedCookie;
    
}

// удаляет cookie
function deleteCookie(name) {
    setCookie(name, null, { expires: -1 });
}
